#!/bin/zsh

# This file is public domain. There is no warranty.

. ./shellconfigs.rc.sh || exit 1

cp -fv ${DOCSBASENAME}.* 000LUEMUT.txt compileall.sh cleanall.sh release.sh shellconfigs.rc.sh sivut.sh syncebook.sh synctablet.sh \
    docutils.conf docutils.twoside.conf docutils.12pt.conf docutils.twoside.12pt.conf docutils.landscape.conf docutils.woodeneye.conf \
    RST_Palatino_MPlus.sty RST_Palatino_MPlus_12pt.sty \
    RST_Palatino_OpenSans.sty RST_Palatino_OpenSans_12pt.sty \
    RST_landscape.sty RST_woodeneye.sty \
    RST_Palatino_Optima.sty \
    ${WWWDIR}/


cd ${WWWDIR} || exit 1
chmod -v ugo-x compileall.sh cleanall.sh release.sh syncebook.sh
rm -fv *.sh.txt *.conf.txt *.sty.txt
rm -fv compressed/7z/*.7z
rm -fv compressed/bz2/*.bz2
rm -fv compressed/gz/*.gz
rm -fv compressed/lz/*.lz
rm -fv compressed/xz/*.xz
rm -fv compressed/zip/*.zip

chmod -v ugo+r,go-wx *

for f in ./*(.)
do
    echo 7z a -t7z -m0=lzma -mx=9 -mfb=64 -md=64m -ms=on "${f}.7z" "$f"
    7z a -t7z -m0=lzma -mx=9 -mfb=64 -md=64m -ms=on "${f}.7z" "$f"
done
mv -fv ./*.7z ./compressed/7z/

echo bzip2 -9vk ./*(.)
bzip2 -9vk ./*(.)
mv -fv *.bz2 ./compressed/bz2/

echo gzip -9vk ./*(.)
gzip -9vk ./*(.)
mv -fv *.gz ./compressed/gz/
### NOTE! If your Gzip is not of version 1.6 or newer, you must use
### this, because older versions do not have option “-k”:
#for f in ./*(.)
#do
#    echo cp -v "${f}" ./compressed/gz/
#    cp -v "${f}" ./compressed/gz/
#    echo gzip -9v  "./compressed/gz/${f}"
#    gzip -9v  "./compressed/gz/${f}"
#done

#echo lzip -vvk -9 ./*(.)
#lzip -vvk -9 ./*(.)
echo lzip -9vvk -s 64MiB -m 273 ./*(.)
lzip -9vvk -s 64MiB -m 273 ./*(.)
#echo lzip -9vvk -s 512MiB -m 273 ./*(.)
#lzip -9vvk -s 512MiB -m 273 ./*(.)
mv -fv ./*.lz ./compressed/lz/

export XZ_DEFAULTS='-9e --memlimit-compress=70%'
echo xz -vvk -9e ./*(.)
xz -vvk -9e ./*(.)
mv -fv ./*.xz ./compressed/xz/

for f in ./*(.)
do
    echo zip "${f}.zip" "${f}"
    zip "${f}.zip" "${f}"
done
mv -fv ./*.zip ./compressed/zip/


for f in *.sh *.sty *.conf
do
    mv -fv "${f}" "${f}.txt"
done


echo chmod -Rv ugo+rX,go-w,u+w .
chmod -Rv ugo+rX,go-w,u+w .

echo 'chmod -v ugo-x **/*(.)'
chmod -v ugo-x **/*(.)


